Quassel IRC - Bug #923

Quassel server hangs when deleting a large buffer.
02/27/2010 01:20 PM - jotik

Status: Confirmed Start date: 02/27/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.6-pre 0S: Linux
Description

When | deleted a huge buffer, Quassel got stuck. Client lagged behind the core server over 600 seconds. Disk activity (MD RAID1
with 2 disks) on the core server was very high. Finally after it had finished deleting the buffer, | received the some "new" IRC
messages and an immediate disconnect (ping timeout) from all networks.

Can't this deletion be done in the background?
Gentoo Linux

net-irc/quassel-0.6_betal USE="dbus server ssl -X -ayatana -debug -kde -monolithic -phonon -postgres -webkit"
Qt4.5.3

History

#1 - 02/27/2010 01:34 PM - Sputnick

- Status changed from New to Confirmed

This is due to the database being slooooow when it comes to deleting messages.

It would be nice to be able to background such long tasks (such as fetching the backlog as well), but I'm not sure right now how feasible that would be
to implement.

#2 - 08/07/2018 02:14 PM - jotik

This is still still an issue with 0.13_rc1, even with PostgreSQL.
